Loading...
Searching...
No Matches
Opm::FIPContainer< FluidSystem > Class Template Reference

## Classes

struct | Co2InGasInput

## Public Types

using | Scalar = typename FluidSystem::Scalar
using | FIPMap = std::unordered_map<Inplace::Phase, std::vector<Scalar>>

## Public Member Functions

bool | allocate (const std::size_t bufferSize, const SummaryConfig &summaryConfig, const bool forceAlloc, std::map< std::string, int > &rstKeywords)
void | add (const Inplace::Phase phase)
const std::vector< Scalar > & | get (const Inplace::Phase phase) const
bool | has (const Inplace::Phase phase) const
bool | hasCo2InGas () const
void | assignCo2InGas (const unsigned globalDofIdx, const Co2InGasInput &v)
bool | hasCo2InWater () const
void | assignCo2InWater (const unsigned globalDofIdx, const Scalar co2InWater, const Scalar mM)
bool | hasMicrobialMass () const
void | assignMicrobialMass (const unsigned globalDofIdx, const Scalar microbialMass)
bool | hasOxygenMass () const
void | assignOxygenMass (const unsigned globalDofIdx, const Scalar oxygenMass)
bool | hasUreaMass () const
void | assignUreaMass (const unsigned globalDofIdx, const Scalar ureaMass)
bool | hasBiofilmMass () const
void | assignBiofilmMass (const unsigned globalDofIdx, const Scalar biofilmMass)
bool | hasCalciteMass () const
void | assignCalciteMass (const unsigned globalDofIdx, const Scalar calciteMass)
bool | hasWaterMass () const
void | assignWaterMass (const unsigned globalDofIdx, const std::array< Scalar, numPhases > &fip, const Scalar rhoW)
void | assignGasWater (const unsigned globalDofIdx, const std::array< Scalar, numPhases > &fip, const Scalar gasInPlaceWater, const Scalar waterInPlaceGas)
void | assignOilGasDistribution (const unsigned globalDofIdx, const Scalar gasInPlaceLiquid, const Scalar oilInPlaceGas)
void | assignPoreVolume (const unsigned globalDofIdx, const Scalar value)
void | assignVolumesSurface (const unsigned globalDofIdx, const std::array< Scalar, numPhases > &fip)
void | assignVolumesReservoir (const unsigned globalDofIdx, const Scalar saltConcentration, const std::array< Scalar, numPhases > &fipr)
void | outputRestart (data::Solution &sol)

## Static Public Attributes

static constexpr auto | numPhases = FluidSystem::numPhases
static constexpr auto | gasPhaseIdx = FluidSystem::gasPhaseIdx
static constexpr auto | oilPhaseIdx = FluidSystem::oilPhaseIdx
static constexpr auto | waterPhaseIdx = FluidSystem::waterPhaseIdx

The documentation for this class was generated from the following files:

- opm/simulators/flow/FIPContainer.hpp
- opm/simulators/flow/FIPContainer.cpp